Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel.impl
Class JcaGatewayDocumentImpl.JcaGatewayImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ListenerImpl
                  org.jboss.soa.esb.listeners.config.xbeanmodel.impl.JcaGatewayDocumentImpl.JcaGatewayImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource, JcaGatewayDocument.JcaGateway, Listener

Enclosing class:
  JcaGatewayDocumentImpl

    public static class JcaGatewayDocumentImpl.JcaGatewayImpl

extends ListenerImpl
implements JcaGatewayDocument.JcaGateway

An XML jca-gateway(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.JcaGatewayDocument.JcaGateway
`JcaGatewayDocument.JcaGateway.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.JcaGatewayDocument.JcaGateway
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`JcaGatewayDocumentImpl.JcaGatewayImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`ActivationConfigDocument.ActivationConfig` | `addNewActivationConfig()` Appends and returns a new empty "activation-config" element
`ActivationConfigDocument.ActivationConfig` | `getActivationConfig()` Gets the "activation-config" element
`java.lang.String` | `getAdapter()` Gets the "adapter" attribute
`java.lang.String` | `getEndpointClass()` Gets the "endpointClass" attribute
`java.lang.String` | `getJcaBridge()` Gets the "jcaBridge" attribute
`java.lang.String` | `getMessagingType()` Gets the "messagingType" attribute
`java.lang.String` | `getTransacted()` Gets the "transacted" attribute
`boolean` | `isSetActivationConfig()` True if has "activation-config" element
`boolean` | `isSetJcaBridge()` True if has "jcaBridge" attribute
`boolean` | `isSetMessagingType()` True if has "messagingType" attribute
`boolean` | `isSetTransacted()` True if has "transacted" attribute
`void` | `setActivationConfig(ActivationConfigDocument.ActivationConfig activationConfig)` Sets the "activation-config" element
`void` | `setAdapter(java.lang.String adapter)` Sets the "adapter" attribute
`void` | `setEndpointClass(java.lang.String endpointClass)` Sets the "endpointClass" attribute
`void` | `setJcaBridge(java.lang.String jcaBridge)` Sets the "jcaBridge" attribute
`void` | `setMessagingType(java.lang.String messagingType)` Sets the "messagingType" attribute
`void` | `setTransacted(java.lang.String transacted)` Sets the "transacted" attribute
`void` | `unsetActivationConfig()` Unsets the "activation-config" element
`void` | `unsetJcaBridge()` Unsets the "jcaBridge" attribute
`void` | `unsetMessagingType()` Unsets the "messagingType" attribute
`void` | `unsetTransacted()` Unsets the "transacted" attribute
`org.apache.xmlbeans.XmlString` | `xgetAdapter()` Gets (as xml) the "adapter" attribute
`org.apache.xmlbeans.XmlString` | `xgetEndpointClass()` Gets (as xml) the "endpointClass" attribute
`org.apache.xmlbeans.XmlString` | `xgetJcaBridge()` Gets (as xml) the "jcaBridge" attribute
`org.apache.xmlbeans.XmlString` | `xgetMessagingType()` Gets (as xml) the "messagingType" attribute
`org.apache.xmlbeans.XmlString` | `xgetTransacted()` Gets (as xml) the "transacted" attribute
`void` | `xsetAdapter(org.apache.xmlbeans.XmlString adapter)` Sets (as xml) the "adapter" attribute
`void` | `xsetEndpointClass(org.apache.xmlbeans.XmlString endpointClass)` Sets (as xml) the "endpointClass" attribute
`void` | `xsetJcaBridge(org.apache.xmlbeans.XmlString jcaBridge)` Sets (as xml) the "jcaBridge" attribute
`void` | `xsetMessagingType(org.apache.xmlbeans.XmlString messagingType)` Sets (as xml) the "messagingType" attribute
`void` | `xsetTransacted(org.apache.xmlbeans.XmlString transacted)` Sets (as xml) the "transacted" attribute

Methods inherited from class org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ListenerImpl
`addNewProperty, getBusidref, getIsGateway, getMaxThreads, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, isSetBusidref, isSetIsGateway, isSetMaxThreads, removeProperty, setBusidref, setIsGateway, setMaxThreads, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, unsetBusidref, unsetIsGateway, unsetMaxThreads, xgetBusidref, xgetIsGateway, xgetMaxThreads, xgetName, xsetBusidref, xsetIsGateway, xsetMaxThreads, xsetName`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Listener
`addNewProperty, getBusidref, getIsGateway, getMaxThreads, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, isSetBusidref, isSetIsGateway, isSetMaxThreads, removeProperty, setBusidref, setIsGateway, setMaxThreads, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, unsetBusidref, unsetIsGateway, unsetMaxThreads, xgetBusidref, xgetIsGateway, xgetMaxThreads, xgetName, xsetBusidref, xsetIsGateway, xsetMaxThreads, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### JcaGatewayDocumentImpl.JcaGatewayImpl

    public JcaGatewayDocumentImpl.JcaGatewayImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getActivationConfig

    public ActivationConfigDocument.ActivationConfig getActivationConfig()

  Gets the "activation-config" element

  Specified by:
    `getActivationConfig` in interface `JcaGatewayDocument.JcaGateway`

### isSetActivationConfig

    public boolean isSetActivationConfig()

  True if has "activation-config" element

  Specified by:
    `isSetActivationConfig` in interface `JcaGatewayDocument.JcaGateway`

### setActivationConfig

    public void setActivationConfig(ActivationConfigDocument.ActivationConfig activationConfig)

  Sets the "activation-config" element

  Specified by:
    `setActivationConfig` in interface `JcaGatewayDocument.JcaGateway`

### addNewActivationConfig

    public ActivationConfigDocument.ActivationConfig addNewActivationConfig()

  Appends and returns a new empty "activation-config" element

  Specified by:
    `addNewActivationConfig` in interface `JcaGatewayDocument.JcaGateway`

### unsetActivationConfig

    public void unsetActivationConfig()

  Unsets the "activation-config" element

  Specified by:
    `unsetActivationConfig` in interface `JcaGatewayDocument.JcaGateway`

### getAdapter

    public java.lang.String getAdapter()

  Gets the "adapter" attribute

  Specified by:
    `getAdapter` in interface `JcaGatewayDocument.JcaGateway`

### xgetAdapter

    public org.apache.xmlbeans.XmlString xgetAdapter()

  Gets (as xml) the "adapter" attribute

  Specified by:
    `xgetAdapter` in interface `JcaGatewayDocument.JcaGateway`

### setAdapter

    public void setAdapter(java.lang.String adapter)

  Sets the "adapter" attribute

  Specified by:
    `setAdapter` in interface `JcaGatewayDocument.JcaGateway`

### xsetAdapter

    public void xsetAdapter(org.apache.xmlbeans.XmlString adapter)

  Sets (as xml) the "adapter" attribute

  Specified by:
    `xsetAdapter` in interface `JcaGatewayDocument.JcaGateway`

### getEndpointClass

    public java.lang.String getEndpointClass()

  Gets the "endpointClass" attribute

  Specified by:
    `getEndpointClass` in interface `JcaGatewayDocument.JcaGateway`

### xgetEndpointClass

    public org.apache.xmlbeans.XmlString xgetEndpointClass()

  Gets (as xml) the "endpointClass" attribute

  Specified by:
    `xgetEndpointClass` in interface `JcaGatewayDocument.JcaGateway`

### setEndpointClass

    public void setEndpointClass(java.lang.String endpointClass)

  Sets the "endpointClass" attribute

  Specified by:
    `setEndpointClass` in interface `JcaGatewayDocument.JcaGateway`

### xsetEndpointClass

    public void xsetEndpointClass(org.apache.xmlbeans.XmlString endpointClass)

  Sets (as xml) the "endpointClass" attribute

  Specified by:
    `xsetEndpointClass` in interface `JcaGatewayDocument.JcaGateway`

### getMessagingType

    public java.lang.String getMessagingType()

  Gets the "messagingType" attribute

  Specified by:
    `getMessagingType` in interface `JcaGatewayDocument.JcaGateway`

### xgetMessagingType

    public org.apache.xmlbeans.XmlString xgetMessagingType()

  Gets (as xml) the "messagingType" attribute

  Specified by:
    `xgetMessagingType` in interface `JcaGatewayDocument.JcaGateway`

### isSetMessagingType

    public boolean isSetMessagingType()

  True if has "messagingType" attribute

  Specified by:
    `isSetMessagingType` in interface `JcaGatewayDocument.JcaGateway`

### setMessagingType

    public void setMessagingType(java.lang.String messagingType)

  Sets the "messagingType" attribute

  Specified by:
    `setMessagingType` in interface `JcaGatewayDocument.JcaGateway`

### xsetMessagingType

    public void xsetMessagingType(org.apache.xmlbeans.XmlString messagingType)

  Sets (as xml) the "messagingType" attribute

  Specified by:
    `xsetMessagingType` in interface `JcaGatewayDocument.JcaGateway`

### unsetMessagingType

    public void unsetMessagingType()

  Unsets the "messagingType" attribute

  Specified by:
    `unsetMessagingType` in interface `JcaGatewayDocument.JcaGateway`

### getJcaBridge

    public java.lang.String getJcaBridge()

  Gets the "jcaBridge" attribute

  Specified by:
    `getJcaBridge` in interface `JcaGatewayDocument.JcaGateway`

### xgetJcaBridge

    public org.apache.xmlbeans.XmlString xgetJcaBridge()

  Gets (as xml) the "jcaBridge" attribute

  Specified by:
    `xgetJcaBridge` in interface `JcaGatewayDocument.JcaGateway`

### isSetJcaBridge

    public boolean isSetJcaBridge()

  True if has "jcaBridge" attribute

  Specified by:
    `isSetJcaBridge` in interface `JcaGatewayDocument.JcaGateway`

### setJcaBridge

    public void setJcaBridge(java.lang.String jcaBridge)

  Sets the "jcaBridge" attribute

  Specified by:
    `setJcaBridge` in interface `JcaGatewayDocument.JcaGateway`

### xsetJcaBridge

    public void xsetJcaBridge(org.apache.xmlbeans.XmlString jcaBridge)

  Sets (as xml) the "jcaBridge" attribute

  Specified by:
    `xsetJcaBridge` in interface `JcaGatewayDocument.JcaGateway`

### unsetJcaBridge

    public void unsetJcaBridge()

  Unsets the "jcaBridge" attribute

  Specified by:
    `unsetJcaBridge` in interface `JcaGatewayDocument.JcaGateway`

### getTransacted

    public java.lang.String getTransacted()

  Gets the "transacted" attribute

  Specified by:
    `getTransacted` in interface `JcaGatewayDocument.JcaGateway`

### xgetTransacted

    public org.apache.xmlbeans.XmlString xgetTransacted()

  Gets (as xml) the "transacted" attribute

  Specified by:
    `xgetTransacted` in interface `JcaGatewayDocument.JcaGateway`

### isSetTransacted

    public boolean isSetTransacted()

  True if has "transacted" attribute

  Specified by:
    `isSetTransacted` in interface `JcaGatewayDocument.JcaGateway`

### setTransacted

    public void setTransacted(java.lang.String transacted)

  Sets the "transacted" attribute

  Specified by:
    `setTransacted` in interface `JcaGatewayDocument.JcaGateway`

### xsetTransacted

    public void xsetTransacted(org.apache.xmlbeans.XmlString transacted)

  Sets (as xml) the "transacted" attribute

  Specified by:
    `xsetTransacted` in interface `JcaGatewayDocument.JcaGateway`

### unsetTransacted

    public void unsetTransacted()

  Unsets the "transacted" attribute

  Specified by:
    `unsetTransacted` in interface `JcaGatewayDocument.JcaGateway`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD